### A free/open-source library for quantitative finance

Public Member Functions
AmericanExercise Class Reference

American exercise. More...

`#include <ql/exercise.hpp>`

Inheritance diagram for AmericanExercise:
[legend]

List of all members.

## Public Member Functions

| AmericanExercise (const Date &earliestDate, const Date &latestDate, bool payoffAtExpiry=false)
| AmericanExercise (const Date &latestDate, bool payoffAtExpiry=false)

## Detailed Description

American exercise.

An American option can be exercised at any time between two predefined dates; the first date might be omitted, in which case the option can be exercised at any time before the expiry.

Possible enhancements:
  check that everywhere the American condition is applied from earliestDate and not earlier

Examples:
  ConvertibleBonds.cpp, and EquityOption.cpp.